Source: python-intervaltree
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper-compat (= 9),
	dh-python,
	python-all,
	python-setuptools,
	python-sortedcontainers,
	python3-all,
	python3-setuptools,
	python3-sortedcontainers,
# Test-Depends:
	python-pytest,
	python3-pytest,
Standards-Version: 3.9.6
Homepage: https://github.com/chaimleib/intervaltree
Vcs-Git: https://salsa.debian.org/python-team/packages/python-intervaltree.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-intervaltree

Package: python-intervaltree
Architecture: all
Depends:
	${misc:Depends},
	${python:Depends},
Description: mutable, self-balancing interval tree -- Python 2 library
 A mutable, self-balancing interval tree for Python 2 and 3
 where queries may be by point, by range overlap, or by range
 envelopment. This library was designed to allow tagging text
 and time intervals, where the intervals include the lower bound
 but not the upper bound.
 .
 This package contains the Python 2 library

Package: python3-intervaltree
Architecture: all
Depends:
	${misc:Depends},
	${python3:Depends},
Description: mutable, self-balancing interval tree -- Python 3 library
 A mutable, self-balancing interval tree for Python 2 and 3
 where queries may be by point, by range overlap, or by range
 envelopment. This library was designed to allow tagging text
 and time intervals, where the intervals include the lower bound
 but not the upper bound.
 .
 This package contains the Python 3 library
